Brivio API reference
Rewards

Reverse the units a refunded or voided business object earned; spent units become debt (scope: rewards:write)

POST
/rewards/clawbacks

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Request Body

application/json
  1. body
refType*string

The event type that earned (e.g. order.paid).

Lengthlength <= 80
refId*string

The event ref that earned.

Lengthlength <= 200
reason*string
Lengthlength <= 200

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/rewards/clawbacks" \  -H "Content-Type: application/json" \  -d '{    "refType": "string",    "refId": "string",    "reason": "string"  }'
{  "data": {    "reversedUnits": 0  },  "error": null}